Get Groups
Returns a list of all groups (clans) that the authenticated user has joined.
Endpoint
Section titled “Endpoint”POST
/group/v1/getgroupsRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/group/v1/getgroups \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"page_request": { "page_number": 1, "page_size": 20 }}'{"page_request": { "page_number": 1, "page_size": 20 }}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"user_group_count": 2,"user_group_info": [{ "group_info": { "group_name": "Clan A" }, "top_first_name": "Alice", "top_total_earnings": "5000"}]}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |